using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class SubSystem : DataEntityBase
	{
		public SubSystem()
		{
			base.InitMetaData();
		}

		private System.String _SubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return this._SubSystemID;
			}
			set
			{
				this._SubSystemID = value;
				IsChanged = true;
			}
		}

		private System.String _SubSystemName;
		public System.String SubSystemName
		{
			get
			{
				return this._SubSystemName;
			}
			set
			{
				this._SubSystemName = value;
				IsChanged = true;
			}
		}

		private System.String _Memo;
		public System.String Memo
		{
			get
			{
				return this._Memo;
			}
			set
			{
				this._Memo = value;
				IsChanged = true;
			}
		}

		private System.Int16 _IfUserLog;
		public System.Int16 IfUserLog
		{
			get
			{
				return this._IfUserLog;
			}
			set
			{
				this._IfUserLog = value;
				IsChanged = true;
			}
		}

		private System.Int64 _SystemFlag;
		public System.Int64 SystemFlag
		{
			get
			{
				return this._SystemFlag;
			}
			set
			{
				this._SystemFlag = value;
				IsChanged = true;
			}
		}

		private System.Int16 _IfOpenSystem;
		public System.Int16 IfOpenSystem
		{
			get
			{
				return this._IfOpenSystem;
			}
			set
			{
				this._IfOpenSystem = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return this._CreateTime;
			}
			set
			{
				this._CreateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return this._UpdateTime;
			}
			set
			{
				this._UpdateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _UpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}
	}
}